/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Cardiac Ultrasound Fetal General Measurements
 */
public enum EnumCM_CardiacUltrasoundFetalGeneralMeasurements {

	//CID 12279 Cardiac Ultrasound Fetal General Measurements
	THORACIC_CIRCUMFERENCE("Thoracic Circumference"),
	THORACIC_AREA("Thoracic Area"),
	CARDIAC_CIRCUMFERENCE_TRANSVERSE_BY_US("Cardiac Circumference, transverse by US"),
	CARDIOTHORACIC_CIRCUMFERENCE_RATIO("Cardiothoracic Circumference Ratio"),
	CARDIAC_CROSS_SECTIONAL_AREA_TRANSVERSE_BY_US("Cardiac Cross-sectional Area, transverse by US"),
	CARDIOTHORACIC_AREA_RATIO("Cardiothoracic Area Ratio"),
	BIPARIETAL_DIAMETER("Biparietal Diameter"),
	NUCHAL_TRANSLUCENCY("Nuchal Translucency"),
	FEMUR_LENGTH("Femur Length"),
	ABDOMINAL_CIRCUMFERENCE("Abdominal Circumference"),
	ANTERIOR_POSTERIOR_ABDOMINAL_DIAMETER("Anterior-Posterior Abdominal Diameter"),
	ANTERIOR_POSTERIOR_TRUNK_DIAMETER("Anterior-Posterior Trunk Diameter"),
	BPD_AREA_CORRECTED("BPD area corrected"),
	CISTERNA_MAGNA("Cisterna Magna"),
	HEAD_CIRCUMFERENCE("Head Circumference"),
	OCCIPITAL_FRONTAL_DIAMETER("Occipital-Frontal Diameter"),
	TRANVERSE_ABDOMINAL_DIAMETER("Tranverse Abdominal Diameter"),
	TRANS_CEREBELLAR_DIAMETER("Trans Cerebellar Diameter"),
	TRANSVERSE_THORACIC_DIAMETER("Transverse Thoracic Diameter"),
	FORAMEN_OVALE_DIAMETER_AORTIC_ROOT_DIAMETER("Foramen Ovale Diameter/Aortic Root Diameter"),
	LEFT_VENTRICLE_RIGHT_VENTRICLE_DIAMETER_RATIO("Left Ventricle/Right Ventricle Diameter Ratio"),
	NUMBER_OF_UMBILICAL_ARTERIES("Number of umbilical arteries");
	
	private String value;
	
	EnumCM_CardiacUltrasoundFetalGeneralMeasurements(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
